Run shfmt

This commit is contained in:
Simon Warta
2020-12-08 09:03:14 +01:00
parent 6a9ef8ef6b
commit 445dfcbf8f
32 changed files with 87 additions and 80 deletions
+1 -1
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
SCRIPT_DIR="$(realpath "$(dirname "$0")")"
# shellcheck source=./env
+4 -4
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
SCRIPT_DIR="$(realpath "$(dirname "$0")")"
# shellcheck source=./env
@@ -34,9 +34,9 @@ function inline_jq() {
shift
TMP_DIR=$(mktemp -d "${TMPDIR:-/tmp}/inline_jq.XXXXXXXXX")
TMP_FILE="$TMP_DIR/$(basename "$IN_OUT_PATH")"
jq "$@" < "$IN_OUT_PATH" > "$TMP_FILE"
if ! mv "$TMP_FILE" "$IN_OUT_PATH" ; then
>&2 echo "Temp file '$TMP_FILE' could not be deleted. If it contains sensitive data, you might want to delete it manually."
jq "$@" <"$IN_OUT_PATH" >"$TMP_FILE"
if ! mv "$TMP_FILE" "$IN_OUT_PATH"; then
echo >&2 "Temp file '$TMP_FILE' could not be deleted. If it contains sensitive data, you might want to delete it manually."
exit 3
fi
}
+1 -2
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
echo "Waiting for blockchain and REST server to be available ..."
timeout 60 bash -c "until curl -s http://localhost:1317/node_info > /dev/null; do sleep 0.5; done"
@@ -10,7 +10,6 @@ echo "Okay, thank you for your patience."
SCRIPT_DIR="$(realpath "$(dirname "$0")")"
#
# Cosmos SDK init
#
+3 -3
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
## This is like start.sh but using local binaries, not docker images
SCRIPT_DIR="$(realpath "$(dirname "$0")")"
@@ -18,7 +18,7 @@ wasmd start \
--home "$TMP_DIR/.wasmd" \
--trace \
--rpc.laddr tcp://0.0.0.0:26657 \
> "$WASMD_LOGFILE" &
>"$WASMD_LOGFILE" &
echo "wasmd running and logging into $WASMD_LOGFILE"
@@ -30,7 +30,7 @@ wasmcli rest-server \
--node tcp://localhost:26657 \
--trust-node \
--laddr tcp://0.0.0.0:1317 \
> "$REST_SERVER_LOGFILE" &
>"$REST_SERVER_LOGFILE" &
echo "rest server running on http://localhost:1317 and logging into $REST_SERVER_LOGFILE"
+3 -3
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
# Please keep this in sync with the Ports overview in HACKING.md
# Tendermint port (26657) and p2p port (26656) are not exposed since we don't need them for testing
@@ -29,7 +29,7 @@ docker run --rm \
--mount type=volume,source=launchpad_data,target=/root \
"$REPOSITORY:$VERSION" \
./run_wasmd.sh /template \
> "$WASMD_LOGFILE" &
>"$WASMD_LOGFILE" &
echo "wasmd running and logging into $WASMD_LOGFILE"
@@ -51,7 +51,7 @@ docker exec "$CONTAINER_NAME" \
--trust-node \
--unsafe-cors \
--laddr "tcp://0.0.0.0:$LCD_API_PORT_GUEST" \
> "$REST_SERVER_LOGFILE" &
>"$REST_SERVER_LOGFILE" &
echo "rest server running on http://localhost:$LCD_API_PORT_HOST and logging into $REST_SERVER_LOGFILE"
+1 -1
View File
@@ -1,6 +1,6 @@
#!/bin/bash
set -o errexit -o nounset -o pipefail
command -v shellcheck > /dev/null && shellcheck "$0"
command -v shellcheck >/dev/null && shellcheck "$0"
SCRIPT_DIR="$(realpath "$(dirname "$0")")"
# shellcheck source=./env